Subject: devuan-installer: [I18N] Language selection dialog missing glyphs

From: Olaf Meeuwissen <[email-masked]>
Date: Sun, 22 Mar 2020 20:04:49 +0900

Package: devuan-installer
Severity: normal

Dear Maintainer,

Using Devuan GNU/Linux 3.0 (beowulf) amd64 - server 20200313, I noticed
that the "Select a language" dialog is missing glyphs for the translated
names of several of the available languages.

For

 - Chinese (Simplified)
 - Chinese (Traditional)
 - Georgian
 - Japanese
 - Korean
 - Lao

no glyphs are displayed at all.

For (at least)

 - Kazakh
 - Tajik
 - Uyghur

some of the glyphs appear to be missing.

I have no idea how badly affected other languages and dialogs are.

I suspect this issue may have been caused by missing font packages on
the system that builds the installer and/or ISO images.

I normally use "C - No localization" for my installs so this is not a
problem for me.  My Japanese colleagues may be less pleased though ;-)

-- System Information:
Architecture: x86_64

Kernel: Linux 4.19.0-8-amd64 (SMP w/2 CPU cores)
Locale: LANG=C.UTF-8, LC_CTYPE=ja_JP.UTF-8 (charmap=UTF-8), LANGUAGE=C.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
Init: sysvinit (via /sbin/init)
LSM: AppArmor: enabled

--
Olaf Meeuwissen, LPIC-2            FSF Associate Member since 2004-01-27
 GnuPG key: F84A2DD9/B3C0 2F47 EA19 64F4 9F13  F43E B8A4 A88A F84A 2DD9
 Support Free Software                        https://my.fsf.org/donate
 Join the Free Software Foundation              https://my.fsf.org/join